Bug 844973 - beaker-wizard: needs compatibility fixes for RHEL5
beaker-wizard: needs compatibility fixes for RHEL5
Status: CLOSED WONTFIX
Product: Beaker
Classification: Community
Component: command line (Show other bugs)
0.7
All Linux
high Severity high (vote)
: ---
: ---
Assigned To: Petr Šplíchal
tools-bugs
BeakerWizard
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-01 07:38 EDT by Miroslav Vadkerti
Modified: 2016-05-31 21:43 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-05 03:19:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Vadkerti 2012-08-01 07:38:55 EDT
Description of problem:
beaker-wizard uses some Python 2.6+ constructions that make the script traceback on RHEL5 which has only Python 2.4. For example:

Short description
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Provide a short sentence describing the test.
[What the test does?] Tries to parse 2 netdump packets and checks if parsed values are correct
Traceback (most recent call last):
  File "/usr/bin/beaker-wizard", line 2411, in ?
    test = Test(options)
  File "/usr/bin/beaker-wizard", line 877, in __init__
    self.init()
  File "/usr/bin/beaker-wizard", line 2125, in init
    self.releases = Releases(self.options)
  File "/usr/bin/beaker-wizard", line 877, in __init__
    self.init()
  File "/usr/bin/beaker-wizard", line 1366, in init
    self.list += ["RHEL{0}".format(id) for id in range(6, 9)]
AttributeError: 'str' object has no attribute 'format'

Version-Release number of selected component (if applicable):
beaker-wizard 2.3.0

Actual results:
traceback on RHEL5

Expected results:
tool works on RHEL5 also
Comment 2 Dan Callaghan 2014-04-07 00:49:29 EDT
We are no longer updating beaker-client for RHEL5... Do you still need this?
Comment 3 Miroslav Vadkerti 2014-05-05 03:19:05 EDT
I did not know that. I can live without it. Closing as WONTFIX

Note You need to log in before you can comment on or make changes to this bug.